GeminiGemini
Demo environmentGet API key
  • Overview
  • Crypto Trading
  • Prediction Markets
  • Perpetuals
  • Stocks
  • API Reference
  • SDKs & Tools
Changelog
Gemini logoGemini logo

© 2026 Gemini Space Station, Inc.

Overview
Spot
    OverviewGet started
    Orders API
    Market Data API
      Symbols, Prices & Networks
      Tickers & Order Books
        Get TickerGet Current Order BookList Trades
      Candlestick Data
    Fund Management API
    Instant Orders API
    WebSocket API
    FIX API
Margin
    Overview
    Margin REST API
      Get Margin Account SummaryGet Margin Interest RatesPreview Margin Order Impact
Staking
    Overview
    Staking REST API
      List Staking BalancesStake Crypto FundsUnstake Crypto FundsList Staking Event HistoryList Staking RatesList Staking Rewards
Clearing
    Clearing REST API
      Clearing Orders
      Broker & Trade Operations

Get Ticker

TradingMarket DataGet Ticker

Get Ticker

GEThttps://api.gemini.com/v1/pubticker/{symbol}

This endpoint retrieves information about recent trading activity for the symbol.

Note

We recommend using Version 2 to retrieve recent ticker activity.

GETv1/pubticker/BTCUSD
curl --request GET \
  --url https://api.gemini.com/v1/pubticker/BTCUSD

Path Parameters

symbolstring·required
Trading pair symbol BTCUSD, etc. See symbols and minimums.

Responses

The current ticker for the symbol

bidstring (decimal)
The highest bid currently availableExample: 977.59
askstring (decimal)
The lowest ask currently availableExample: 977.35
laststring (decimal)
The price of the last executed tradeExample: 977.65
volumeobject
Information about the 24 hour volume on the exchange. See properties below
volume.timestampstring | integer
Gemini strongly recommends using milliseconds instead of seconds for timestamps.
Timestamp format
Example
Supported request type
string (seconds)
1495127793
POST only
string (milliseconds)
1495127793000
POST only
whole number (seconds)
1495127793
GET, POST
whole number (milliseconds)
1495127793000
GET, POST
Example: 1483018200000
volume.price_symbolstring (decimal)
The volume denominated in the price currencyExample: 2210.505328803
volume.quantity_symbolstring (decimal)
The volume denominated in the quantity currencyExample: 2135477.463379586263
Example Responses
{
  "bid": "977.59",
  "ask": "977.35",
  "last": "977.65",
  "volume": {
    "BTC": "2210.505328803",
    "USD": "2135477.463379586263",
    "timestamp": 1483018200000
  }
}
PreviousGet Symbol DetailsNextList Candles